﻿/// <reference path="../Scripts/msls.js" />

window.myapp = msls.application;

(function (lightSwitchApplication) {

    var $Entity = msls.Entity,
        $DataService = msls.DataService,
        $DataWorkspace = msls.DataWorkspace,
        $defineEntity = msls._defineEntity,
        $defineDataService = msls._defineDataService,
        $defineDataWorkspace = msls._defineDataWorkspace,
        $DataServiceQuery = msls.DataServiceQuery,
        $toODataString = msls._toODataString;

    function Order(entitySet) {
        /// <summary>
        /// Represents the Order entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this order.
        /// </param>
        /// <field name="OrderID" type="Number">
        /// Gets or sets the orderID for this order.
        /// </field>
        /// <field name="CustomerID" type="String">
        /// Gets or sets the customerID for this order.
        /// </field>
        /// <field name="EmployeeID" type="Number">
        /// Gets or sets the employeeID for this order.
        /// </field>
        /// <field name="OrderDate" type="Date">
        /// Gets or sets the orderDate for this order.
        /// </field>
        /// <field name="RequiredDate" type="Date">
        /// Gets or sets the requiredDate for this order.
        /// </field>
        /// <field name="ShippedDate" type="Date">
        /// Gets or sets the shippedDate for this order.
        /// </field>
        /// <field name="ShipVia" type="Number">
        /// Gets or sets the shipVia for this order.
        /// </field>
        /// <field name="Freight" type="String">
        /// Gets or sets the freight for this order.
        /// </field>
        /// <field name="ShipName" type="String">
        /// Gets or sets the shipName for this order.
        /// </field>
        /// <field name="ShipAddress" type="String">
        /// Gets or sets the shipAddress for this order.
        /// </field>
        /// <field name="ShipCity" type="String">
        /// Gets or sets the shipCity for this order.
        /// </field>
        /// <field name="ShipRegion" type="String">
        /// Gets or sets the shipRegion for this order.
        /// </field>
        /// <field name="ShipPostalCode" type="String">
        /// Gets or sets the shipPostalCode for this order.
        /// </field>
        /// <field name="ShipCountry" type="String">
        /// Gets or sets the shipCountry for this order.
        /// </field>
        /// <field name="details" type="msls.application.Order.Details">
        /// Gets the details for this order.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function EmployeeInfoItem(entitySet) {
        /// <summary>
        /// Represents the EmployeeInfoItem entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this employeeInfoItem.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this employeeInfoItem.
        /// </field>
        /// <field name="FirstName" type="String">
        /// Gets or sets the firstName for this employeeInfoItem.
        /// </field>
        /// <field name="LastName" type="String">
        /// Gets or sets the lastName for this employeeInfoItem.
        /// </field>
        /// <field name="DOB" type="Date">
        /// Gets or sets the dOB for this employeeInfoItem.
        /// </field>
        /// <field name="Qualification" type="String">
        /// Gets or sets the qualification for this employeeInfoItem.
        /// </field>
        /// <field name="Email" type="String">
        /// Gets or sets the email for this employeeInfoItem.
        /// </field>
        /// <field name="Mobile" type="String">
        /// Gets or sets the mobile for this employeeInfoItem.
        /// </field>
        /// <field name="EmpTraining" type="msls.EntityCollection" elementType="msls.application.EmpTrainingItem">
        /// Gets the empTraining for this employeeInfoItem.
        /// </field>
        /// <field name="EmpLoan" type="msls.EntityCollection" elementType="msls.application.EmpLoanItem">
        /// Gets the empLoan for this employeeInfoItem.
        /// </field>
        /// <field name="Marks" type="Number">
        /// Gets or sets the marks for this employeeInfoItem.
        /// </field>
        /// <field name="DateOfAppoint" type="Date">
        /// Gets or sets the dateOfAppoint for this employeeInfoItem.
        /// </field>
        /// <field name="DOJ" type="Date">
        /// Gets or sets the dOJ for this employeeInfoItem.
        /// </field>
        /// <field name="Salary" type="Number">
        /// Gets or sets the salary for this employeeInfoItem.
        /// </field>
        /// <field name="CreatedBy" type="String">
        /// Gets or sets the createdBy for this employeeInfoItem.
        /// </field>
        /// <field name="Created" type="Date">
        /// Gets or sets the created for this employeeInfoItem.
        /// </field>
        /// <field name="ModifiedBy" type="String">
        /// Gets or sets the modifiedBy for this employeeInfoItem.
        /// </field>
        /// <field name="Modified" type="Date">
        /// Gets or sets the modified for this employeeInfoItem.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this employeeInfoItem.
        /// </field>
        /// <field name="details" type="msls.application.EmployeeInfoItem.Details">
        /// Gets the details for this employeeInfoItem.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function EmpLoanItem(entitySet) {
        /// <summary>
        /// Represents the EmpLoanItem entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this empLoanItem.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this empLoanItem.
        /// </field>
        /// <field name="LoanAccountNo" type="String">
        /// Gets or sets the loanAccountNo for this empLoanItem.
        /// </field>
        /// <field name="LetterNo" type="String">
        /// Gets or sets the letterNo for this empLoanItem.
        /// </field>
        /// <field name="SanctionDate" type="Date">
        /// Gets or sets the sanctionDate for this empLoanItem.
        /// </field>
        /// <field name="SanctionAmount" type="Number">
        /// Gets or sets the sanctionAmount for this empLoanItem.
        /// </field>
        /// <field name="ReturnDate" type="Date">
        /// Gets or sets the returnDate for this empLoanItem.
        /// </field>
        /// <field name="EmployeeInfoItem" type="msls.application.EmployeeInfoItem">
        /// Gets or sets the employeeInfoItem for this empLoanItem.
        /// </field>
        /// <field name="CreatedBy" type="String">
        /// Gets or sets the createdBy for this empLoanItem.
        /// </field>
        /// <field name="Created" type="Date">
        /// Gets or sets the created for this empLoanItem.
        /// </field>
        /// <field name="ModifiedBy" type="String">
        /// Gets or sets the modifiedBy for this empLoanItem.
        /// </field>
        /// <field name="Modified" type="Date">
        /// Gets or sets the modified for this empLoanItem.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this empLoanItem.
        /// </field>
        /// <field name="details" type="msls.application.EmpLoanItem.Details">
        /// Gets the details for this empLoanItem.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function EmpJoinItem(entitySet) {
        /// <summary>
        /// Represents the EmpJoinItem entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this empJoinItem.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this empJoinItem.
        /// </field>
        /// <field name="DateOfAppoint" type="Date">
        /// Gets or sets the dateOfAppoint for this empJoinItem.
        /// </field>
        /// <field name="OrderNo" type="String">
        /// Gets or sets the orderNo for this empJoinItem.
        /// </field>
        /// <field name="DOJ" type="Date">
        /// Gets or sets the dOJ for this empJoinItem.
        /// </field>
        /// <field name="Designation" type="String">
        /// Gets or sets the designation for this empJoinItem.
        /// </field>
        /// <field name="DateOfRetire" type="Date">
        /// Gets or sets the dateOfRetire for this empJoinItem.
        /// </field>
        /// <field name="CreatedBy" type="String">
        /// Gets or sets the createdBy for this empJoinItem.
        /// </field>
        /// <field name="Created" type="Date">
        /// Gets or sets the created for this empJoinItem.
        /// </field>
        /// <field name="ModifiedBy" type="String">
        /// Gets or sets the modifiedBy for this empJoinItem.
        /// </field>
        /// <field name="Modified" type="Date">
        /// Gets or sets the modified for this empJoinItem.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this empJoinItem.
        /// </field>
        /// <field name="details" type="msls.application.EmpJoinItem.Details">
        /// Gets the details for this empJoinItem.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function EmpEducationItem(entitySet) {
        /// <summary>
        /// Represents the EmpEducationItem entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this empEducationItem.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this empEducationItem.
        /// </field>
        /// <field name="Education" type="String">
        /// Gets or sets the education for this empEducationItem.
        /// </field>
        /// <field name="University" type="String">
        /// Gets or sets the university for this empEducationItem.
        /// </field>
        /// <field name="Marks" type="Number">
        /// Gets or sets the marks for this empEducationItem.
        /// </field>
        /// <field name="PassingYear" type="String">
        /// Gets or sets the passingYear for this empEducationItem.
        /// </field>
        /// <field name="CreatedBy" type="String">
        /// Gets or sets the createdBy for this empEducationItem.
        /// </field>
        /// <field name="Created" type="Date">
        /// Gets or sets the created for this empEducationItem.
        /// </field>
        /// <field name="ModifiedBy" type="String">
        /// Gets or sets the modifiedBy for this empEducationItem.
        /// </field>
        /// <field name="Modified" type="Date">
        /// Gets or sets the modified for this empEducationItem.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this empEducationItem.
        /// </field>
        /// <field name="details" type="msls.application.EmpEducationItem.Details">
        /// Gets the details for this empEducationItem.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function EmpSalaryItem(entitySet) {
        /// <summary>
        /// Represents the EmpSalaryItem entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this empSalaryItem.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this empSalaryItem.
        /// </field>
        /// <field name="Basic" type="Number">
        /// Gets or sets the basic for this empSalaryItem.
        /// </field>
        /// <field name="HRA" type="Number">
        /// Gets or sets the hRA for this empSalaryItem.
        /// </field>
        /// <field name="CA" type="Number">
        /// Gets or sets the cA for this empSalaryItem.
        /// </field>
        /// <field name="CreatedBy" type="String">
        /// Gets or sets the createdBy for this empSalaryItem.
        /// </field>
        /// <field name="Created" type="Date">
        /// Gets or sets the created for this empSalaryItem.
        /// </field>
        /// <field name="ModifiedBy" type="String">
        /// Gets or sets the modifiedBy for this empSalaryItem.
        /// </field>
        /// <field name="Modified" type="Date">
        /// Gets or sets the modified for this empSalaryItem.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this empSalaryItem.
        /// </field>
        /// <field name="details" type="msls.application.EmpSalaryItem.Details">
        /// Gets the details for this empSalaryItem.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function EmpTrainingItem(entitySet) {
        /// <summary>
        /// Represents the EmpTrainingItem entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this empTrainingItem.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this empTrainingItem.
        /// </field>
        /// <field name="Topic" type="String">
        /// Gets or sets the topic for this empTrainingItem.
        /// </field>
        /// <field name="Institute" type="String">
        /// Gets or sets the institute for this empTrainingItem.
        /// </field>
        /// <field name="DateFrom" type="String">
        /// Gets or sets the dateFrom for this empTrainingItem.
        /// </field>
        /// <field name="DateTo" type="String">
        /// Gets or sets the dateTo for this empTrainingItem.
        /// </field>
        /// <field name="EmployeeInfoItem" type="msls.application.EmployeeInfoItem">
        /// Gets or sets the employeeInfoItem for this empTrainingItem.
        /// </field>
        /// <field name="CreatedBy" type="String">
        /// Gets or sets the createdBy for this empTrainingItem.
        /// </field>
        /// <field name="Created" type="Date">
        /// Gets or sets the created for this empTrainingItem.
        /// </field>
        /// <field name="ModifiedBy" type="String">
        /// Gets or sets the modifiedBy for this empTrainingItem.
        /// </field>
        /// <field name="Modified" type="Date">
        /// Gets or sets the modified for this empTrainingItem.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this empTrainingItem.
        /// </field>
        /// <field name="details" type="msls.application.EmpTrainingItem.Details">
        /// Gets the details for this empTrainingItem.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function GanttData(entitySet) {
        /// <summary>
        /// Represents the GanttData entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this ganttData.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this ganttData.
        /// </field>
        /// <field name="TaskID" type="Number">
        /// Gets or sets the taskID for this ganttData.
        /// </field>
        /// <field name="TaskName" type="String">
        /// Gets or sets the taskName for this ganttData.
        /// </field>
        /// <field name="StartDate" type="String">
        /// Gets or sets the startDate for this ganttData.
        /// </field>
        /// <field name="EndDate" type="String">
        /// Gets or sets the endDate for this ganttData.
        /// </field>
        /// <field name="Progress" type="Number">
        /// Gets or sets the progress for this ganttData.
        /// </field>
        /// <field name="ParentID" type="Number">
        /// Gets or sets the parentID for this ganttData.
        /// </field>
        /// <field name="CreatedBy" type="String">
        /// Gets or sets the createdBy for this ganttData.
        /// </field>
        /// <field name="Created" type="Date">
        /// Gets or sets the created for this ganttData.
        /// </field>
        /// <field name="ModifiedBy" type="String">
        /// Gets or sets the modifiedBy for this ganttData.
        /// </field>
        /// <field name="Modified" type="Date">
        /// Gets or sets the modified for this ganttData.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this ganttData.
        /// </field>
        /// <field name="details" type="msls.application.GanttData.Details">
        /// Gets the details for this ganttData.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function TreeGridData(entitySet) {
        /// <summary>
        /// Represents the TreeGridData entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this treeGridData.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this treeGridData.
        /// </field>
        /// <field name="taskID" type="Number">
        /// Gets or sets the taskID for this treeGridData.
        /// </field>
        /// <field name="taskName" type="String">
        /// Gets or sets the taskName for this treeGridData.
        /// </field>
        /// <field name="startDate" type="String">
        /// Gets or sets the startDate for this treeGridData.
        /// </field>
        /// <field name="endDate" type="String">
        /// Gets or sets the endDate for this treeGridData.
        /// </field>
        /// <field name="progress" type="Number">
        /// Gets or sets the progress for this treeGridData.
        /// </field>
        /// <field name="duration" type="Number">
        /// Gets or sets the duration for this treeGridData.
        /// </field>
        /// <field name="parentID" type="Number">
        /// Gets or sets the parentID for this treeGridData.
        /// </field>
        /// <field name="CreatedBy" type="String">
        /// Gets or sets the createdBy for this treeGridData.
        /// </field>
        /// <field name="Created" type="Date">
        /// Gets or sets the created for this treeGridData.
        /// </field>
        /// <field name="ModifiedBy" type="String">
        /// Gets or sets the modifiedBy for this treeGridData.
        /// </field>
        /// <field name="Modified" type="Date">
        /// Gets or sets the modified for this treeGridData.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this treeGridData.
        /// </field>
        /// <field name="details" type="msls.application.TreeGridData.Details">
        /// Gets the details for this treeGridData.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function SalesUnit(entitySet) {
        /// <summary>
        /// Represents the SalesUnit entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this salesUnit.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this salesUnit.
        /// </field>
        /// <field name="Month" type="String">
        /// Gets or sets the month for this salesUnit.
        /// </field>
        /// <field name="UnitSold" type="Number">
        /// Gets or sets the unitSold for this salesUnit.
        /// </field>
        /// <field name="TotalTransaction" type="Number">
        /// Gets or sets the totalTransaction for this salesUnit.
        /// </field>
        /// <field name="CreatedBy" type="String">
        /// Gets or sets the createdBy for this salesUnit.
        /// </field>
        /// <field name="Created" type="Date">
        /// Gets or sets the created for this salesUnit.
        /// </field>
        /// <field name="ModifiedBy" type="String">
        /// Gets or sets the modifiedBy for this salesUnit.
        /// </field>
        /// <field name="Modified" type="Date">
        /// Gets or sets the modified for this salesUnit.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this salesUnit.
        /// </field>
        /// <field name="details" type="msls.application.SalesUnit.Details">
        /// Gets the details for this salesUnit.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function RangeInfo(entitySet) {
        /// <summary>
        /// Represents the RangeInfo entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this rangeInfo.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this rangeInfo.
        /// </field>
        /// <field name="Data" type="Date">
        /// Gets or sets the data for this rangeInfo.
        /// </field>
        /// <field name="Value" type="Number">
        /// Gets or sets the value for this rangeInfo.
        /// </field>
        /// <field name="CreatedBy" type="String">
        /// Gets or sets the createdBy for this rangeInfo.
        /// </field>
        /// <field name="Created" type="Date">
        /// Gets or sets the created for this rangeInfo.
        /// </field>
        /// <field name="ModifiedBy" type="String">
        /// Gets or sets the modifiedBy for this rangeInfo.
        /// </field>
        /// <field name="Modified" type="Date">
        /// Gets or sets the modified for this rangeInfo.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this rangeInfo.
        /// </field>
        /// <field name="details" type="msls.application.RangeInfo.Details">
        /// Gets the details for this rangeInfo.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function RevenueInfo(entitySet) {
        /// <summary>
        /// Represents the RevenueInfo entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this revenueInfo.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this revenueInfo.
        /// </field>
        /// <field name="Category" type="Number">
        /// Gets or sets the category for this revenueInfo.
        /// </field>
        /// <field name="Value" type="Number">
        /// Gets or sets the value for this revenueInfo.
        /// </field>
        /// <field name="ComparativeMeasureValue" type="Number">
        /// Gets or sets the comparativeMeasureValue for this revenueInfo.
        /// </field>
        /// <field name="CreatedBy" type="String">
        /// Gets or sets the createdBy for this revenueInfo.
        /// </field>
        /// <field name="Created" type="Date">
        /// Gets or sets the created for this revenueInfo.
        /// </field>
        /// <field name="ModifiedBy" type="String">
        /// Gets or sets the modifiedBy for this revenueInfo.
        /// </field>
        /// <field name="Modified" type="Date">
        /// Gets or sets the modified for this revenueInfo.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this revenueInfo.
        /// </field>
        /// <field name="details" type="msls.application.RevenueInfo.Details">
        /// Gets the details for this revenueInfo.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function AccessoItem(entitySet) {
        /// <summary>
        /// Represents the AccessoItem entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this accessoItem.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this accessoItem.
        /// </field>
        /// <field name="Name" type="String">
        /// Gets or sets the name for this accessoItem.
        /// </field>
        /// <field name="DisplayName" type="String">
        /// Gets or sets the displayName for this accessoItem.
        /// </field>
        /// <field name="CreatedBy" type="String">
        /// Gets or sets the createdBy for this accessoItem.
        /// </field>
        /// <field name="Created" type="Date">
        /// Gets or sets the created for this accessoItem.
        /// </field>
        /// <field name="ModifiedBy" type="String">
        /// Gets or sets the modifiedBy for this accessoItem.
        /// </field>
        /// <field name="Modified" type="Date">
        /// Gets or sets the modified for this accessoItem.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this accessoItem.
        /// </field>
        /// <field name="details" type="msls.application.AccessoItem.Details">
        /// Gets the details for this accessoItem.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function Mobile(entitySet) {
        /// <summary>
        /// Represents the Mobile entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this mobile.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this mobile.
        /// </field>
        /// <field name="Name" type="String">
        /// Gets or sets the name for this mobile.
        /// </field>
        /// <field name="Price" type="Number">
        /// Gets or sets the price for this mobile.
        /// </field>
        /// <field name="Offer" type="Number">
        /// Gets or sets the offer for this mobile.
        /// </field>
        /// <field name="Stock" type="Number">
        /// Gets or sets the stock for this mobile.
        /// </field>
        /// <field name="CreatedBy" type="String">
        /// Gets or sets the createdBy for this mobile.
        /// </field>
        /// <field name="Created" type="Date">
        /// Gets or sets the created for this mobile.
        /// </field>
        /// <field name="ModifiedBy" type="String">
        /// Gets or sets the modifiedBy for this mobile.
        /// </field>
        /// <field name="Modified" type="Date">
        /// Gets or sets the modified for this mobile.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this mobile.
        /// </field>
        /// <field name="details" type="msls.application.Mobile.Details">
        /// Gets the details for this mobile.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function Camera(entitySet) {
        /// <summary>
        /// Represents the Camera entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this camera.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this camera.
        /// </field>
        /// <field name="Name" type="String">
        /// Gets or sets the name for this camera.
        /// </field>
        /// <field name="Price" type="Number">
        /// Gets or sets the price for this camera.
        /// </field>
        /// <field name="Offer" type="Number">
        /// Gets or sets the offer for this camera.
        /// </field>
        /// <field name="Stock" type="Number">
        /// Gets or sets the stock for this camera.
        /// </field>
        /// <field name="CreatedBy" type="String">
        /// Gets or sets the createdBy for this camera.
        /// </field>
        /// <field name="Created" type="Date">
        /// Gets or sets the created for this camera.
        /// </field>
        /// <field name="ModifiedBy" type="String">
        /// Gets or sets the modifiedBy for this camera.
        /// </field>
        /// <field name="Modified" type="Date">
        /// Gets or sets the modified for this camera.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this camera.
        /// </field>
        /// <field name="details" type="msls.application.Camera.Details">
        /// Gets the details for this camera.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function Watch(entitySet) {
        /// <summary>
        /// Represents the Watch entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this watch.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this watch.
        /// </field>
        /// <field name="Name" type="String">
        /// Gets or sets the name for this watch.
        /// </field>
        /// <field name="Price" type="Number">
        /// Gets or sets the price for this watch.
        /// </field>
        /// <field name="Offer" type="Number">
        /// Gets or sets the offer for this watch.
        /// </field>
        /// <field name="Stock" type="Number">
        /// Gets or sets the stock for this watch.
        /// </field>
        /// <field name="CreatedBy" type="String">
        /// Gets or sets the createdBy for this watch.
        /// </field>
        /// <field name="Created" type="Date">
        /// Gets or sets the created for this watch.
        /// </field>
        /// <field name="ModifiedBy" type="String">
        /// Gets or sets the modifiedBy for this watch.
        /// </field>
        /// <field name="Modified" type="Date">
        /// Gets or sets the modified for this watch.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this watch.
        /// </field>
        /// <field name="details" type="msls.application.Watch.Details">
        /// Gets the details for this watch.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function Sho(entitySet) {
        /// <summary>
        /// Represents the Sho entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this sho.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this sho.
        /// </field>
        /// <field name="Company" type="String">
        /// Gets or sets the company for this sho.
        /// </field>
        /// <field name="Price" type="Number">
        /// Gets or sets the price for this sho.
        /// </field>
        /// <field name="Offer" type="Number">
        /// Gets or sets the offer for this sho.
        /// </field>
        /// <field name="Stock" type="Number">
        /// Gets or sets the stock for this sho.
        /// </field>
        /// <field name="CreatedBy" type="String">
        /// Gets or sets the createdBy for this sho.
        /// </field>
        /// <field name="Created" type="Date">
        /// Gets or sets the created for this sho.
        /// </field>
        /// <field name="ModifiedBy" type="String">
        /// Gets or sets the modifiedBy for this sho.
        /// </field>
        /// <field name="Modified" type="Date">
        /// Gets or sets the modified for this sho.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this sho.
        /// </field>
        /// <field name="details" type="msls.application.Sho.Details">
        /// Gets the details for this sho.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function OrderDetail(entitySet) {
        /// <summary>
        /// Represents the OrderDetail entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this orderDetail.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this orderDetail.
        /// </field>
        /// <field name="ProductName" type="String">
        /// Gets or sets the productName for this orderDetail.
        /// </field>
        /// <field name="Price" type="Number">
        /// Gets or sets the price for this orderDetail.
        /// </field>
        /// <field name="Quantity" type="Number">
        /// Gets or sets the quantity for this orderDetail.
        /// </field>
        /// <field name="DateOfDelivery" type="Date">
        /// Gets or sets the dateOfDelivery for this orderDetail.
        /// </field>
        /// <field name="MobileNo" type="String">
        /// Gets or sets the mobileNo for this orderDetail.
        /// </field>
        /// <field name="Email" type="String">
        /// Gets or sets the email for this orderDetail.
        /// </field>
        /// <field name="UnitStock" type="Number">
        /// Gets or sets the unitStock for this orderDetail.
        /// </field>
        /// <field name="Offer" type="Number">
        /// Gets or sets the offer for this orderDetail.
        /// </field>
        /// <field name="Rating" type="String">
        /// Gets or sets the rating for this orderDetail.
        /// </field>
        /// <field name="CreatedBy" type="String">
        /// Gets or sets the createdBy for this orderDetail.
        /// </field>
        /// <field name="Created" type="Date">
        /// Gets or sets the created for this orderDetail.
        /// </field>
        /// <field name="ModifiedBy" type="String">
        /// Gets or sets the modifiedBy for this orderDetail.
        /// </field>
        /// <field name="Modified" type="Date">
        /// Gets or sets the modified for this orderDetail.
        /// </field>
        /// <field name="RowVersion" type="Array">
        /// Gets or sets the rowVersion for this orderDetail.
        /// </field>
        /// <field name="details" type="msls.application.OrderDetail.Details">
        /// Gets the details for this orderDetail.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function ScheduleData(entitySet) {
        /// <summary>
        /// Represents the ScheduleData entity type.
        /// </summary>
        /// <param name="entitySet" type="msls.EntitySet" optional="true">
        /// The entity set that should contain this scheduleData.
        /// </param>
        /// <field name="Id" type="Number">
        /// Gets or sets the id for this scheduleData.
        /// </field>
        /// <field name="Subject" type="String">
        /// Gets or sets the subject for this scheduleData.
        /// </field>
        /// <field name="StartTime" type="Date">
        /// Gets or sets the startTime for this scheduleData.
        /// </field>
        /// <field name="EndTime" type="Date">
        /// Gets or sets the endTime for this scheduleData.
        /// </field>
        /// <field name="AllDay" type="Boolean">
        /// Gets or sets the allDay for this scheduleData.
        /// </field>
        /// <field name="Recurrence" type="Boolean">
        /// Gets or sets the recurrence for this scheduleData.
        /// </field>
        /// <field name="RecurrenceRule" type="String">
        /// Gets or sets the recurrenceRule for this scheduleData.
        /// </field>
        /// <field name="details" type="msls.application.ScheduleData.Details">
        /// Gets the details for this scheduleData.
        /// </field>
        $Entity.call(this, entitySet);
    }

    function NORTHWNDEntitiesData(dataWorkspace) {
        /// <summary>
        /// Represents the NORTHWNDEntitiesData data service.
        /// </summary>
        /// <param name="dataWorkspace" type="msls.DataWorkspace">
        /// The data workspace that created this data service.
        /// </param>
        /// <field name="Orders" type="msls.EntitySet">
        /// Gets the Orders entity set.
        /// </field>
        /// <field name="details" type="msls.application.NORTHWNDEntitiesData.Details">
        /// Gets the details for this data service.
        /// </field>
        $DataService.call(this, dataWorkspace);
    };

    function ApplicationData(dataWorkspace) {
        /// <summary>
        /// Represents the ApplicationData data service.
        /// </summary>
        /// <param name="dataWorkspace" type="msls.DataWorkspace">
        /// The data workspace that created this data service.
        /// </param>
        /// <field name="EmployeeInfo" type="msls.EntitySet">
        /// Gets the EmployeeInfo entity set.
        /// </field>
        /// <field name="EmpLoan" type="msls.EntitySet">
        /// Gets the EmpLoan entity set.
        /// </field>
        /// <field name="EmpJoin" type="msls.EntitySet">
        /// Gets the EmpJoin entity set.
        /// </field>
        /// <field name="EmpEducation" type="msls.EntitySet">
        /// Gets the EmpEducation entity set.
        /// </field>
        /// <field name="EmpSalary" type="msls.EntitySet">
        /// Gets the EmpSalary entity set.
        /// </field>
        /// <field name="EmpTraining" type="msls.EntitySet">
        /// Gets the EmpTraining entity set.
        /// </field>
        /// <field name="GanttDatas" type="msls.EntitySet">
        /// Gets the GanttDatas entity set.
        /// </field>
        /// <field name="TreeGridDatas" type="msls.EntitySet">
        /// Gets the TreeGridDatas entity set.
        /// </field>
        /// <field name="SalesUnits" type="msls.EntitySet">
        /// Gets the SalesUnits entity set.
        /// </field>
        /// <field name="RangeInfoes" type="msls.EntitySet">
        /// Gets the RangeInfoes entity set.
        /// </field>
        /// <field name="RevenueInfoes" type="msls.EntitySet">
        /// Gets the RevenueInfoes entity set.
        /// </field>
        /// <field name="Accessories" type="msls.EntitySet">
        /// Gets the Accessories entity set.
        /// </field>
        /// <field name="Mobiles" type="msls.EntitySet">
        /// Gets the Mobiles entity set.
        /// </field>
        /// <field name="Cameras" type="msls.EntitySet">
        /// Gets the Cameras entity set.
        /// </field>
        /// <field name="Watches" type="msls.EntitySet">
        /// Gets the Watches entity set.
        /// </field>
        /// <field name="Shoes" type="msls.EntitySet">
        /// Gets the Shoes entity set.
        /// </field>
        /// <field name="OrderDetails" type="msls.EntitySet">
        /// Gets the OrderDetails entity set.
        /// </field>
        /// <field name="details" type="msls.application.ApplicationData.Details">
        /// Gets the details for this data service.
        /// </field>
        $DataService.call(this, dataWorkspace);
    };

    function NORTHWNDEntitiesScheduleData(dataWorkspace) {
        /// <summary>
        /// Represents the NORTHWNDEntitiesScheduleData data service.
        /// </summary>
        /// <param name="dataWorkspace" type="msls.DataWorkspace">
        /// The data workspace that created this data service.
        /// </param>
        /// <field name="Events" type="msls.EntitySet">
        /// Gets the Events entity set.
        /// </field>
        /// <field name="details" type="msls.application.NORTHWNDEntitiesScheduleData.Details">
        /// Gets the details for this data service.
        /// </field>
        $DataService.call(this, dataWorkspace);
    };
    function DataWorkspace() {
        /// <summary>
        /// Represents the data workspace.
        /// </summary>
        /// <field name="NORTHWNDEntitiesData" type="msls.application.NORTHWNDEntitiesData">
        /// Gets the NORTHWNDEntitiesData data service.
        /// </field>
        /// <field name="ApplicationData" type="msls.application.ApplicationData">
        /// Gets the ApplicationData data service.
        /// </field>
        /// <field name="NORTHWNDEntitiesScheduleData" type="msls.application.NORTHWNDEntitiesScheduleData">
        /// Gets the NORTHWNDEntitiesScheduleData data service.
        /// </field>
        /// <field name="details" type="msls.application.DataWorkspace.Details">
        /// Gets the details for this data workspace.
        /// </field>
        $DataWorkspace.call(this);
    };

    msls._addToNamespace("msls.application", {

        Order: $defineEntity(Order, [
            { name: "OrderID", type: Number, isReadOnly: true },
            { name: "CustomerID", type: String },
            { name: "EmployeeID", type: Number },
            { name: "OrderDate", type: Date },
            { name: "RequiredDate", type: Date },
            { name: "ShippedDate", type: Date },
            { name: "ShipVia", type: Number },
            { name: "Freight", type: String },
            { name: "ShipName", type: String },
            { name: "ShipAddress", type: String },
            { name: "ShipCity", type: String },
            { name: "ShipRegion", type: String },
            { name: "ShipPostalCode", type: String },
            { name: "ShipCountry", type: String }
        ]),

        EmployeeInfoItem: $defineEntity(EmployeeInfoItem, [
            { name: "Id", type: Number },
            { name: "FirstName", type: String },
            { name: "LastName", type: String },
            { name: "DOB", type: Date },
            { name: "Qualification", type: String },
            { name: "Email", type: String },
            { name: "Mobile", type: String },
            { name: "EmpTraining", kind: "collection", elementType: EmpTrainingItem },
            { name: "EmpLoan", kind: "collection", elementType: EmpLoanItem },
            { name: "Marks", type: Number },
            { name: "DateOfAppoint", type: Date },
            { name: "DOJ", type: Date },
            { name: "Salary", type: Number },
            { name: "CreatedBy", type: String, isReadOnly: true },
            { name: "Created", type: Date, isReadOnly: true },
            { name: "ModifiedBy", type: String, isReadOnly: true },
            { name: "Modified", type: Date, isReadOnly: true },
            { name: "RowVersion", type: Array }
        ]),

        EmpLoanItem: $defineEntity(EmpLoanItem, [
            { name: "Id", type: Number },
            { name: "LoanAccountNo", type: String },
            { name: "LetterNo", type: String },
            { name: "SanctionDate", type: Date },
            { name: "SanctionAmount", type: Number },
            { name: "ReturnDate", type: Date },
            { name: "EmployeeInfoItem", kind: "reference", type: EmployeeInfoItem },
            { name: "CreatedBy", type: String, isReadOnly: true },
            { name: "Created", type: Date, isReadOnly: true },
            { name: "ModifiedBy", type: String, isReadOnly: true },
            { name: "Modified", type: Date, isReadOnly: true },
            { name: "RowVersion", type: Array }
        ]),

        EmpJoinItem: $defineEntity(EmpJoinItem, [
            { name: "Id", type: Number },
            { name: "DateOfAppoint", type: Date },
            { name: "OrderNo", type: String },
            { name: "DOJ", type: Date },
            { name: "Designation", type: String },
            { name: "DateOfRetire", type: Date },
            { name: "CreatedBy", type: String, isReadOnly: true },
            { name: "Created", type: Date, isReadOnly: true },
            { name: "ModifiedBy", type: String, isReadOnly: true },
            { name: "Modified", type: Date, isReadOnly: true },
            { name: "RowVersion", type: Array }
        ]),

        EmpEducationItem: $defineEntity(EmpEducationItem, [
            { name: "Id", type: Number },
            { name: "Education", type: String },
            { name: "University", type: String },
            { name: "Marks", type: Number },
            { name: "PassingYear", type: String },
            { name: "CreatedBy", type: String, isReadOnly: true },
            { name: "Created", type: Date, isReadOnly: true },
            { name: "ModifiedBy", type: String, isReadOnly: true },
            { name: "Modified", type: Date, isReadOnly: true },
            { name: "RowVersion", type: Array }
        ]),

        EmpSalaryItem: $defineEntity(EmpSalaryItem, [
            { name: "Id", type: Number },
            { name: "Basic", type: Number },
            { name: "HRA", type: Number },
            { name: "CA", type: Number },
            { name: "CreatedBy", type: String, isReadOnly: true },
            { name: "Created", type: Date, isReadOnly: true },
            { name: "ModifiedBy", type: String, isReadOnly: true },
            { name: "Modified", type: Date, isReadOnly: true },
            { name: "RowVersion", type: Array }
        ]),

        EmpTrainingItem: $defineEntity(EmpTrainingItem, [
            { name: "Id", type: Number },
            { name: "Topic", type: String },
            { name: "Institute", type: String },
            { name: "DateFrom", type: String },
            { name: "DateTo", type: String },
            { name: "EmployeeInfoItem", kind: "reference", type: EmployeeInfoItem },
            { name: "CreatedBy", type: String, isReadOnly: true },
            { name: "Created", type: Date, isReadOnly: true },
            { name: "ModifiedBy", type: String, isReadOnly: true },
            { name: "Modified", type: Date, isReadOnly: true },
            { name: "RowVersion", type: Array }
        ]),

        GanttData: $defineEntity(GanttData, [
            { name: "Id", type: Number },
            { name: "TaskID", type: Number },
            { name: "TaskName", type: String },
            { name: "StartDate", type: String },
            { name: "EndDate", type: String },
            { name: "Progress", type: Number },
            { name: "ParentID", type: Number },
            { name: "CreatedBy", type: String, isReadOnly: true },
            { name: "Created", type: Date, isReadOnly: true },
            { name: "ModifiedBy", type: String, isReadOnly: true },
            { name: "Modified", type: Date, isReadOnly: true },
            { name: "RowVersion", type: Array }
        ]),

        TreeGridData: $defineEntity(TreeGridData, [
            { name: "Id", type: Number },
            { name: "taskID", type: Number },
            { name: "taskName", type: String },
            { name: "startDate", type: String },
            { name: "endDate", type: String },
            { name: "progress", type: Number },
            { name: "duration", type: Number },
            { name: "parentID", type: Number },
            { name: "CreatedBy", type: String, isReadOnly: true },
            { name: "Created", type: Date, isReadOnly: true },
            { name: "ModifiedBy", type: String, isReadOnly: true },
            { name: "Modified", type: Date, isReadOnly: true },
            { name: "RowVersion", type: Array }
        ]),

        SalesUnit: $defineEntity(SalesUnit, [
            { name: "Id", type: Number },
            { name: "Month", type: String },
            { name: "UnitSold", type: Number },
            { name: "TotalTransaction", type: Number },
            { name: "CreatedBy", type: String, isReadOnly: true },
            { name: "Created", type: Date, isReadOnly: true },
            { name: "ModifiedBy", type: String, isReadOnly: true },
            { name: "Modified", type: Date, isReadOnly: true },
            { name: "RowVersion", type: Array }
        ]),

        RangeInfo: $defineEntity(RangeInfo, [
            { name: "Id", type: Number },
            { name: "Data", type: Date },
            { name: "Value", type: Number },
            { name: "CreatedBy", type: String, isReadOnly: true },
            { name: "Created", type: Date, isReadOnly: true },
            { name: "ModifiedBy", type: String, isReadOnly: true },
            { name: "Modified", type: Date, isReadOnly: true },
            { name: "RowVersion", type: Array }
        ]),

        RevenueInfo: $defineEntity(RevenueInfo, [
            { name: "Id", type: Number },
            { name: "Category", type: Number },
            { name: "Value", type: Number },
            { name: "ComparativeMeasureValue", type: Number },
            { name: "CreatedBy", type: String, isReadOnly: true },
            { name: "Created", type: Date, isReadOnly: true },
            { name: "ModifiedBy", type: String, isReadOnly: true },
            { name: "Modified", type: Date, isReadOnly: true },
            { name: "RowVersion", type: Array }
        ]),

        AccessoItem: $defineEntity(AccessoItem, [
            { name: "Id", type: Number },
            { name: "Name", type: String },
            { name: "DisplayName", type: String },
            { name: "CreatedBy", type: String, isReadOnly: true },
            { name: "Created", type: Date, isReadOnly: true },
            { name: "ModifiedBy", type: String, isReadOnly: true },
            { name: "Modified", type: Date, isReadOnly: true },
            { name: "RowVersion", type: Array }
        ]),

        Mobile: $defineEntity(Mobile, [
            { name: "Id", type: Number },
            { name: "Name", type: String },
            { name: "Price", type: Number },
            { name: "Offer", type: Number },
            { name: "Stock", type: Number },
            { name: "CreatedBy", type: String, isReadOnly: true },
            { name: "Created", type: Date, isReadOnly: true },
            { name: "ModifiedBy", type: String, isReadOnly: true },
            { name: "Modified", type: Date, isReadOnly: true },
            { name: "RowVersion", type: Array }
        ]),

        Camera: $defineEntity(Camera, [
            { name: "Id", type: Number },
            { name: "Name", type: String },
            { name: "Price", type: Number },
            { name: "Offer", type: Number },
            { name: "Stock", type: Number },
            { name: "CreatedBy", type: String, isReadOnly: true },
            { name: "Created", type: Date, isReadOnly: true },
            { name: "ModifiedBy", type: String, isReadOnly: true },
            { name: "Modified", type: Date, isReadOnly: true },
            { name: "RowVersion", type: Array }
        ]),

        Watch: $defineEntity(Watch, [
            { name: "Id", type: Number },
            { name: "Name", type: String },
            { name: "Price", type: Number },
            { name: "Offer", type: Number },
            { name: "Stock", type: Number },
            { name: "CreatedBy", type: String, isReadOnly: true },
            { name: "Created", type: Date, isReadOnly: true },
            { name: "ModifiedBy", type: String, isReadOnly: true },
            { name: "Modified", type: Date, isReadOnly: true },
            { name: "RowVersion", type: Array }
        ]),

        Sho: $defineEntity(Sho, [
            { name: "Id", type: Number },
            { name: "Company", type: String },
            { name: "Price", type: Number },
            { name: "Offer", type: Number },
            { name: "Stock", type: Number },
            { name: "CreatedBy", type: String, isReadOnly: true },
            { name: "Created", type: Date, isReadOnly: true },
            { name: "ModifiedBy", type: String, isReadOnly: true },
            { name: "Modified", type: Date, isReadOnly: true },
            { name: "RowVersion", type: Array }
        ]),

        OrderDetail: $defineEntity(OrderDetail, [
            { name: "Id", type: Number },
            { name: "ProductName", type: String },
            { name: "Price", type: Number },
            { name: "Quantity", type: Number },
            { name: "DateOfDelivery", type: Date },
            { name: "MobileNo", type: String },
            { name: "Email", type: String },
            { name: "UnitStock", type: Number },
            { name: "Offer", type: Number },
            { name: "Rating", type: String },
            { name: "CreatedBy", type: String, isReadOnly: true },
            { name: "Created", type: Date, isReadOnly: true },
            { name: "ModifiedBy", type: String, isReadOnly: true },
            { name: "Modified", type: Date, isReadOnly: true },
            { name: "RowVersion", type: Array }
        ]),

        ScheduleData: $defineEntity(ScheduleData, [
            { name: "Id", type: Number },
            { name: "Subject", type: String },
            { name: "StartTime", type: Date },
            { name: "EndTime", type: Date },
            { name: "AllDay", type: Boolean },
            { name: "Recurrence", type: Boolean },
            { name: "RecurrenceRule", type: String }
        ]),

        NORTHWNDEntitiesData: $defineDataService(NORTHWNDEntitiesData, lightSwitchApplication.rootUri + "/NORTHWNDEntitiesData.svc", [
            { name: "Orders", elementType: Order }
        ], [
            {
                name: "Orders_SingleOrDefault", value: function (OrderID) {
                    return new $DataServiceQuery({ _entitySet: this.Orders },
                        lightSwitchApplication.rootUri + "/NORTHWNDEntitiesData.svc" + "/Orders(" + "OrderID=" + $toODataString(OrderID, "Int32?") + ")"
                    );
                }
            }
        ]),

        ApplicationData: $defineDataService(ApplicationData, lightSwitchApplication.rootUri + "/ApplicationData.svc", [
            { name: "EmployeeInfo", elementType: EmployeeInfoItem },
            { name: "EmpLoan", elementType: EmpLoanItem },
            { name: "EmpJoin", elementType: EmpJoinItem },
            { name: "EmpEducation", elementType: EmpEducationItem },
            { name: "EmpSalary", elementType: EmpSalaryItem },
            { name: "EmpTraining", elementType: EmpTrainingItem },
            { name: "GanttDatas", elementType: GanttData },
            { name: "TreeGridDatas", elementType: TreeGridData },
            { name: "SalesUnits", elementType: SalesUnit },
            { name: "RangeInfoes", elementType: RangeInfo },
            { name: "RevenueInfoes", elementType: RevenueInfo },
            { name: "Accessories", elementType: AccessoItem },
            { name: "Mobiles", elementType: Mobile },
            { name: "Cameras", elementType: Camera },
            { name: "Watches", elementType: Watch },
            { name: "Shoes", elementType: Sho },
            { name: "OrderDetails", elementType: OrderDetail }
        ], [
            {
                name: "EmployeeInfo_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.EmployeeInfo },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/EmployeeInfo(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "EmpLoan_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.EmpLoan },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/EmpLoan(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "EmpJoin_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.EmpJoin },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/EmpJoin(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "EmpEducation_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.EmpEducation },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/EmpEducation(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "EmpSalary_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.EmpSalary },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/EmpSalary(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "EmpTraining_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.EmpTraining },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/EmpTraining(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "GanttDatas_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.GanttDatas },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/GanttDatas(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "TreeGridDatas_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.TreeGridDatas },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/TreeGridDatas(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "SalesUnits_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.SalesUnits },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/SalesUnits(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "RangeInfoes_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.RangeInfoes },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/RangeInfoes(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "RevenueInfoes_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.RevenueInfoes },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/RevenueInfoes(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "Accessories_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.Accessories },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/Accessories(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "Mobiles_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.Mobiles },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/Mobiles(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "Cameras_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.Cameras },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/Cameras(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "Watches_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.Watches },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/Watches(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "Shoes_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.Shoes },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/Shoes(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            },
            {
                name: "OrderDetails_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.OrderDetails },
                        lightSwitchApplication.rootUri + "/ApplicationData.svc" + "/OrderDetails(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            }
        ]),

        NORTHWNDEntitiesScheduleData: $defineDataService(NORTHWNDEntitiesScheduleData, lightSwitchApplication.rootUri + "/NORTHWNDEntitiesScheduleData.svc", [
            { name: "Events", elementType: ScheduleData }
        ], [
            {
                name: "Events_SingleOrDefault", value: function (Id) {
                    return new $DataServiceQuery({ _entitySet: this.Events },
                        lightSwitchApplication.rootUri + "/NORTHWNDEntitiesScheduleData.svc" + "/Events(" + "Id=" + $toODataString(Id, "Int32?") + ")"
                    );
                }
            }
        ]),

        DataWorkspace: $defineDataWorkspace(DataWorkspace, [
            { name: "NORTHWNDEntitiesData", type: NORTHWNDEntitiesData },
            { name: "ApplicationData", type: ApplicationData },
            { name: "NORTHWNDEntitiesScheduleData", type: NORTHWNDEntitiesScheduleData }
        ])

    });

}(msls.application));
