﻿/// <reference path="../GeneratedArtifacts/viewModel.js" />
myapp.FlatGrid.EmployeeInfoItem_render = function (element, contentItem) {
    // Write code here.
    var itemTemplate = $("<div style='margin-right:15px'></div>").attr('id', 'EmployeeInfoItem')

    // Append the div element to screen 
    itemTemplate.appendTo($(element));

    contentItem.value.oncollectionchange = function () {

        if (itemTemplate.hasClass('e-grid')) {
            itemTemplate.ejGrid('destroy');
        }
        var first = contentItem.children[0], fieldname = [];
        for (i = 0; i < first.children.length; i++) {
            fieldname[i] = { field: first.children[i].valueModel.name };
        }

        var dataManger = ej.DataManager({
            json: contentItem.value.data,
            offline: true
        });

        //Rendering the Grid Control
        itemTemplate.ejGrid(
            {
                dataSource: dataManger,
                actionComplete: function (args) {
                    if (args.requestType == "save")
                        myapp.applyChanges();
                },
                isResponsive: true,
				allowSorting: true,
                enableResponsiveRow: true,
                enableRowHover: false,
                editSettings: { allowEditing: true, allowAdding: true, allowDeleting: true },
                toolbarSettings: { showToolbar: true, toolbarItems: [ej.Grid.ToolBarItems.Add, ej.Grid.ToolBarItems.Edit, ej.Grid.ToolBarItems.Delete, ej.Grid.ToolBarItems.Update, ej.Grid.ToolBarItems.Cancel] },
                columns: [
                              { field: "Id", headerText: "Employee ID", isPrimaryKey: true, textAlign: ej.TextAlign.Right, width: 90, priority: 1 },
                              { field: "FirstName", headerText: "First Name", width: 90, priority: 1 },
                              { field: "LastName", headerText: "Last Name", width: 90, priority: 1 },
                              { field: "DOB", headerText: "Birth Date", width: 90, type: "date", textAlign: ej.TextAlign.Right, priority: 2 },
                              { field: "Qualification", headerText: "Qualification", width: 90, priority: 3 },
                              { field: "Salary", headerText: "Salary", width: 80, textAlign: ej.TextAlign.Right, priority: 4 }
                ]
            });
    }
};

myapp.FlatGrid.EmployeeInfoItem_postRender = function (element, contentItem) {
    $(".msls-label").remove();
};