﻿/// <reference path="../GeneratedArtifacts/viewModel.js" />
myapp.LiveChart.SalesUnit_render = function (element, contentItem) {
    var itemTemplate = $("<div></div>").attr('id', "liveChart")
    itemTemplate.appendTo($(element));
    contentItem.value.oncollectionchange = function () { 
        var first = contentItem.children[0];
        var xName=first.children[0].valueModel.name; 
        var yName=first.children[1].valueModel.name;       
        if (itemTemplate.hasClass('e-chart')) {     
            itemTemplate.ejChart('destroy');
        }
        itemTemplate.ejChart(
              {
                  primaryXAxis:
                 {

                     majorGridLines: { visible: false },
                     valueType: 'datetime',
                     labelFormat: 'dd, MMM',
                     labelIntersectAction: 'hide',
                     

                 },
                  primaryYAxis:
                 {
                     range: { min: 80, max: 86, interval: 1 },
                     majorGridLines: { visible: true },
                     labelFormat: "{value}%",
                     
                 },


                  series: [{

                      type: 'line',
                      enableAnimation: false, name:'CPU',
                      fill: "#E46455", opacity: 0.8
                  },
                  {

                      type: 'line',
                      enableAnimation: false, name: 'Memory',
                      opacity: 0.8
                  }

                  ],
                  load: 'onchartload',
                  background: "transparent",
                  enableCanvasRendering: true,                  
                  theme: 'flatdark',
                  canResize: true,
                 legend: { visible: true, size: {height:'20%'}}
    });     
 
}};
var chartObj;
var intervalId;
var count = 0;
function OnRefresh() {
    if ($("#liveChart").ejChart("instance").model) {
        if (chartobj.model.series[0].points.length > 50) {
            chartobj.model.series[0].points.splice(0, 2);
            chartobj.model.series[1].points.splice(0, 2);
            count += 2;
        }
        AddPoint(chartobj.model.series[0], count, 80);
        AddPoint(chartobj.model.series[1], count, 81);
        $("#liveChart").ejChart("redraw");
    }
}

function onchartload(sender) {
    count = 0;
    for (var i = 0; i < 50; i = i + 1) {
        AddPoint(sender.model.series[0], 0, 80);
        AddPoint(sender.model.series[1], 0, 81);
    }
    chartobj = this;
    window.intervalId = window.setInterval(OnRefresh, 20);

}

function AddPoint(series, count, value) {
    if (series.points == undefined)
        series.points = [];

    series.points[series.points.length] = { x: new Date(1500, series.points.length + count, series.points.length + count), y: getRandomNum(value) };
}

function getRandomNum(value) {

    var value2 = 82;
    if ((Math.random() + value2) < 84.85) {
        var random = Math.random();
        value += (random + 2);

    }
    else {
        var random = Math.random();
        value -= (random + 2);

    }
    return value;
}

myapp.LiveChart.SalesUnit_postRender = function (element, contentItem) {
    window.clearInterval(window.intervalId);
    $(".msls-label").remove();
};