myapp.RTELocalization.msg_render = function (element, contentItem) {
    var input = $("<textarea />");
    input.attr('id','RTELocalization');
    input.attr("data-role","none");
    input.appendTo($(element));
    input.ejRTE({
        width: "100%",
        tools: {
            font: ["fontName", "fontSize","fontColor", "backgroundColor"],
            style: ["bold", "italic", "underline", "strikethrough"],
            alignment: ["justifyLeft", "justifyCenter", "justifyRight", "justifyFull"],
            lists: ["unorderedList", "orderedList"],
            copyPaste: ["cut", "copy", "paste"],
            doAction: ["undo", "redo"],
            clear: ["clearFormat", "clearAll"],
            links: ["createLink"],
            images: ["image", "video"],
            tables: ["createTable", "addRowAbove", "addRowBelow", "addColumnLeft", "addColumnRight", "deleteRow", "deleteColumn", "deleteTable"],
            scripts: ["superscript", "subscript"],
            casing: ["upperCase", "lowerCase"],
            paragraph: ["paragraph"]
        },
        
        change: function (args) {
            contentItem.value = args.text;
        }
    });
   
   
};

myapp.RTELocalization.ScreenContent1_render = function (element, contentItem) {

    ej.RTE.Locale["de-DE"] = {
        bold: "fett",
        italic: "kursiv",
        underline: "unterstreichen",
        strikethrough: "Durchgestrichen",
        superscript: "berschrift",
        subscript: "Index",
        justifyCenter: "Text-Zentrum",
        justifyLeft: "Ausrichten von Text links",
        justifyRight: "Ausrichten von Text rechts",
        justifyFull: "rechtfertigen",
        unorderedList: "Legen Sie ungeordnete Liste",
        orderedList: "Geordnete Liste einfgen",
        indent: "Einzug",
        outdent: "ausrcken",
        undo: "lsen",
        redo: "Wiederherstellen",
        clearAll: "Alles",
        clearFormat: "Klar Format",
        createLink: "Einfgen / Hyperlink Bearbeiten",
        image: "Bild einfgen",
        video: "Legen Video",
        embedVideo: "Fgen Sie den Embed-Code unten",
        viewHtml: "Blick HTML",
        deleteAlert: "Sind Sie sicher, dass Sie alle Inhalte lschen?",
        videoError: "Der Textbereich darf nicht leer sein",
        imageWebUrl: "Web-URL",
        imageAltText: "Bildbeschreibung",
        dimensions: "Gre",
        constrainProportions: "Proportionen",
        linkWebUrl: "Web-URL",
        linkText: "Text",
        linkToolTip: "Quickinfo",
        linkOpenInNewWindow: "Link in einem neuen Fenster",
        tableColumns: "Spalten",
        tableRows: "Zeilen",
        tableWidth: "Tischbreite",
        tableHeight: "Tischhhe",
        tableCellSpacing: "cellspacing",
        tableCellPadding: "cellpadding",
        tableBorder: "Grenze",
        tableCaption: "Beschriftung",
        tableAlignment: "Ausrichtung",
        dialogUpdate: "Aktualisierung",
        dialogInsert: "einfgen",
        dialogCancel: "stornieren",
        dialogOk: "Ok",
        createTable: "Tabelle erstellen",
        addColumnLeft: "Spalte links hinzufgen",
        addColumnRight: "In Spalte auf der rechten",
        addRowAbove: "Zeile hinzufgen oben",
        addRowBelow: "Zeile hinzufgen unten",
        deleteRow: "Lschen Sie die Zeile",
        deleteColumn: "Lschen Sie die Spalte",
        deleteTable: "Lschen Sie die Tabelle",
        customTable: "von benutzerdefinierten Tabelle",
        characters: "Charaktere",
        dialogApply: "anwenden",
        textAlign: "Text ausrichten",
        imageLink: "Bild als Link zu",
        imageBorder: "Bild Rand",
        imageStyle: "Stil",
        editTable: "Tabelle Eigenschaften bearbeiten",
        general: "allgemein",
        advanced: "fortgeschritten",
        table: "Tisch",
        row: "Reihe",
        column: "Spalte",
        cell: "Zelle"
    };

    ej.RTE.Locale["es-ES"] = {
        bold: "audaz",
        italic: "itlico",
        underline: "subrayar",
        strikethrough: "Tachado",
        superscript: "sobrescrito",
        subscript: "subndice",
        justifyCenter: "Centrar texto",
        justifyLeft: "Alinear texto a la izquierda",
        justifyRight: "Alinear texto a la derecha",
        justifyFull: "justificar",
        unorderedList: "Inserte lista desordenada",
        orderedList: "Insertar lista ordenada",
        indent: "muesca",
        outdent: "anular sangria",
        undo: "deshacer",
        redo: "rehacer",
        clearAll: "Borrar todo",
        clearFormat: "Claro Formato",
        createLink: "Insertar / Editar hipervnculo",
        image: "insertar una imagen",
        video: "insertar vdeo",
        embedVideo: "Pegue su cdigo de insercin por debajo de",
        viewHtml: "Ver HTML",
        format: "formato",
        deleteAlert: "Est seguro que desea borrar todo el contenido?",
        copyPastAlert: "Your browser doesn't support direct access to the clipboard. Please use the Ctrl+X/C/V keyboard shortcuts instead.",
        videoError: "El rea de texto no puede estar vaco",
        imageWebUrl: "URL web",
        imageAltText: "Descripcin",
        dimensions: "dimensiones",
        constrainProportions: "Restringir proporciones",
        linkWebUrl: "URL web",
        linkText: "texto",
        linkToolTip: "ToolTip",
        linkOpenInNewWindow: "Abrir enlace en una nueva ventana",
        tableColumns: "Columnas No.of",
        tableRows: "Numero de Filas",
        tableWidth: "ancho de la mesa",
        tableHeight: "altura de la mesa",
        tableCellSpacing: "El espaciado",
        tableCellPadding: "Relleno",
        tableBorder: "frontera",
        tableCaption: "subttulo",
        tableAlignment: "alineacin",
        dialogUpdate: "actualizacin",
        dialogInsert: "insertar",
        dialogCancel: "cancelar",
        dialogOk: "bueno",
        createTable: "Crear una tabla",
        addColumnLeft: "Aadir la columna de la izquierda",
        addColumnRight: "Aadir columna a la derecha",
        addRowAbove: "Aadir fila encima",
        addRowBelow: "Aadir fila abajo",
        deleteRow: "Elimine la fila",
        deleteColumn: "Eliminar la columna",
        deleteTable: "Eliminar la tabla",
        customTable: "Crear una tabla personalizada",
        characters: "Personajes",
        dialogApply: "aplicar",
        textAlign: "Texto Alinear",
        imageLink: "Imagen como Enlace",
        imageBorder: "Imagen de fronteras",
        imageStyle: "Estilo",
        editTable: "Editar las propiedades de la tabla",
        general: "corriente",
        advanced: "avanzada",
        table: "tabla",
        row: "fila",
        column: "columna",
        cell: "clula"
    };

    var format_DE = [
            { text: "Absatz", value: "p", spriteCssClass: "e-paragraph" },
            { text: "Zitat", value: "blockquote", spriteCssClass: "e-quotation" },
            { text: "Kopf 1", value: "h1", spriteCssClass: "e-h1" },
            { text: "Kopf 2", value: "h2", spriteCssClass: "e-h2" },
            { text: "Kopf 3", value: "h3", spriteCssClass: "e-h3" },
            { text: "Kopf 4", value: "h4", spriteCssClass: "e-h4" },
            { text: "Kopf 5", value: "h5", spriteCssClass: "e-h5" },
            { text: "Kopf 6", value: "h6", spriteCssClass: "e-h6" }
    ];

    var format_ES = [
    { text: "acpite", value: "p", spriteCssClass: "e-paragraph" },
    { text: "cita", value: "blockquote", spriteCssClass: "e-quotation" },
    { text: "ttulo 1", value: "h1", spriteCssClass: "e-h1" },
    { text: "ttulo 2", value: "h2", spriteCssClass: "e-h2" },
    { text: "ttulo 3", value: "h3", spriteCssClass: "e-h3" },
    { text: "ttulo 4", value: "h4", spriteCssClass: "e-h4" },
    { text: "ttulo 5", value: "h5", spriteCssClass: "e-h5" },
    { text: "ttulo 6", value: "h6", spriteCssClass: "e-h6" }
    ];

    var format = [
             { text: "Paragraph", value: "p", spriteCssClass: "e-paragraph" },
             { text: "Quotation", value: "blockquote", spriteCssClass: "e-quotation" },
             { text: "Heading 1", value: "h1", spriteCssClass: "e-h1" },
             { text: "Heading 2", value: "h2", spriteCssClass: "e-h2" },
             { text: "Heading 3", value: "h3", spriteCssClass: "e-h3" },
             { text: "Heading 4", value: "h4", spriteCssClass: "e-h4" },
             { text: "Heading 5", value: "h5", spriteCssClass: "e-h5" },
             { text: "Heading 6", value: "h6", spriteCssClass: "e-h6" }
    ];

    var input = $('<input />');
    input.attr('id', 'Locale');
    input.attr('data-role', 'none');
    input.appendTo($(element));
    LocaleList = [{ text: "de-DE" }, { text: "es-ES" }, { text: "en-US" }];
    input.ejDropDownList({
        dataSource: LocaleList,
        fields: { text: "text", value: "text" },
        change: function (args) {
            rteObj = $("#RTELocalization").data("ejRTE");
            var newFormat = args.value == "de-DE" ? format_DE : (args.value == "es-ES" ? format_ES : format);
            $("#RTELocalization").ejRTE("model.format", newFormat);
            $("#RTELocalization").ejRTE("model.locale", args.value);

        }
    });
   
};

myapp.RTELocalization.Localization_Tap_execute = function (screen) {
    // Write code here.
    $(window).one("popupbeforeposition", function (e)
    {
        $(e.target).popup({ positionTo: "window" });
    });
    screen.showPopup("Group1");
};
myapp.RTELocalization.ScreenContent_render = function (element, contentItem) {
    // Write code here.
    var input = $('<input />');
    input.attr('id', 'getHtml');
    input.attr('data-role', 'none');
    input.appendTo($(element));

    input.ejButton({
        text: "Get HTML",
        click: function () {
            rteObj = $("#RTELocalization").data("ejRTE");
            alert(rteObj.getHtml());
        }
    });
};
myapp.RTELocalization.ScreenContent2_render = function (element, contentItem) {
    // Write code here.
    var input = $('<input />');
    input.attr('id', 'getText');
    input.attr('data-role', 'none');
    input.appendTo($(element));
    input.ejButton({
        text: "Get Text",
        click: function () {
            rteObj = $("#RTELocalization").data("ejRTE");
            alert(rteObj.getText());
        }
    });
};
myapp.RTELocalization.ScreenContent3_render = function (element, contentItem) {
    // Write code here.
    var input = $('<input />');
    input.attr('id', 'Hide');
    input.attr('type','checkbox');
    input.attr('data-role', 'none');
    input.appendTo($(element));
    input.ejToggleButton({
        "change": function (args) {
            rteObj = $("#RTELocalization").data("ejRTE");
            if (args.isChecked)
                rteObj.hide();
            else
                rteObj.show();
        },
        "defaultText": "Hide",
        "activeText": "Show"
    });
};