#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.EJ.Export;
using Syncfusion.JavaScript.Models;
using Syncfusion.XlsIO;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Net.Http;
using System.Reflection;
using System.Web;
using System.Web.Http;
using System.Web.Script.Serialization;

namespace LightSwitchApplication.WebAPI
{
    public class GridExportingController : ApiController
    {
        // GET api/<controller>
        public IEnumerable<string> Get()
        {
            return new string[] { "value1", "value2" };
        }

        // GET api/<controller>/5
        public string Get(int id)
        {
            return "value";
        }

        // POST api/<controller>
        public void Post([FromBody]string value)
        {
        }

        // PUT api/<controller>/5
        public void Put(int id, [FromBody]string value)
        {
        }

        // DELETE api/<controller>/5
        public void Delete(int id)
        {
        }
        [System.Web.Http.ActionName("ExcelExport")]
        [AcceptVerbs("POST")]
        public void ExcelExport()
        {
            string gridModel = HttpContext.Current.Request.Params["GridModel"];
            GridProperties gridPropert = ConvertGridObject(gridModel);
            ExcelExport exp = new ExcelExport();

            using (ServerApplicationContext context = ServerApplicationContext.CreateContext())
            {
                IEnumerable data = context.DataWorkspace.NORTHWNDEntitiesData.Orders.Cast<Order>().ToList();
                exp.Export(gridPropert, (IEnumerable)data, "Export.xlsx", ExcelVersion.Excel2010);
            }
        }
        [System.Web.Http.ActionName("WordExport")]
        [AcceptVerbs("POST")]
        public void WordExport()
        {
            string gridModel = HttpContext.Current.Request.Params["GridModel"];
            GridProperties gridPropert = ConvertGridObject(gridModel);
            WordExport exp = new WordExport();

            using (ServerApplicationContext context = ServerApplicationContext.CreateContext())
            {
                IEnumerable data = context.DataWorkspace.NORTHWNDEntitiesData.Orders.Cast<Order>().ToList();
                exp.Export(gridPropert, (IEnumerable)data, "Export.docx");
            }
        }
        [System.Web.Http.ActionName("PdfExport")]
        [AcceptVerbs("POST")]
        public void PdfExport()
        {
            string gridModel = HttpContext.Current.Request.Params["GridModel"];
            GridProperties gridPropert = ConvertGridObject(gridModel);
            PdfExport exp = new PdfExport();

            using (ServerApplicationContext context = ServerApplicationContext.CreateContext())
            {
                IEnumerable data = context.DataWorkspace.NORTHWNDEntitiesData.Orders.Cast<Order>().ToList();
                exp.Export(gridPropert, (IEnumerable)data, "Export.pdf");
            }
        }
        private GridProperties ConvertGridObject(string gridProperty)
        {
            JavaScriptSerializer serializer = new JavaScriptSerializer();
            IEnumerable div = (IEnumerable)serializer.Deserialize(gridProperty, typeof(IEnumerable));
            GridProperties gridProp = new GridProperties();
            foreach (KeyValuePair<string, object> ds in div)
            {
                var property = gridProp.GetType().GetProperty(ds.Key, BindingFlags.Instance | BindingFlags.Public | BindingFlags.IgnoreCase);
                if (property != null)
                {
                    Type type = property.PropertyType;
                    string serialize = serializer.Serialize(ds.Value);
                    object value = serializer.Deserialize(serialize, type);
                    property.SetValue(gridProp, value, null);
                }
            }
            return gridProp;
        }
    }
}