#region Copyright Syncfusion Inc. 2001 - 2015
// Copyright Syncfusion Inc. 2001 - 2015. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using Syncfusion.EJ.ReportViewer;
using Syncfusion.Reports.EJ;
using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Web.Http;

namespace LightSwitchApplication.WebAPI
{
    public class ReportAPIController : ApiController, IReportController
    {
        public object PostReportAction(Dictionary<string, object> jsonResult)
        {
            return ReportHelper.ProcessReport(jsonResult, this);
        }

        [System.Web.Http.ActionName("GetResource")]
        [AcceptVerbs("GET")]
        public object GetResource(string key, string resourcetype, bool isPrint)
        {
            return ReportHelper.GetResource(key, resourcetype, isPrint);
        }

        public void OnInitReportOptions(ReportViewerOptions reportOption)
        {
            var hostedPath = System.Web.HttpContext.Current.Server.MapPath("~/");
            //var samplePath = hostedPath.Substring(0, hostedPath.IndexOf("SampleBrowser"));
            var rdlPath = hostedPath + "bin\\SampleBrowser.Server\\ReportTemplate\\" + reportOption.ReportModel.ReportPath;
            reportOption.ReportModel.ReportPath = rdlPath;
        }

        public void OnReportLoaded(ReportViewerOptions reportOption)
        {
            reportOption.ReportModel.DataSources.Clear();
            reportOption.ReportModel.DataSources.Add(new ReportDataSource { Name = "TopSalesPerson", Value = SalesPersons.GetTopSalesPerson() });
            reportOption.ReportModel.DataSources.Add(new ReportDataSource { Name = "TopStores", Value = Stores.GetTopStores() });
        }
    }

    #region Top Sales
    public class SalesPersons
    {
        public string Name { get; set; }
        public double QS1 { get; set; }
        public double QS2 { get; set; }
        public double QS3 { get; set; }
        public double QS4 { get; set; }
        public double Total { get; set; }
        public int Year { get; set; }
        public static IList GetTopSalesPerson()
        {
            List<SalesPersons> SalesPersonCollection = new List<SalesPersons>();
            SalesPersons salesPerson = null;
            salesPerson = new SalesPersons()
            {
                Name = "Carol Elliott",
                QS3 = 656287.9884,
                QS4 = 1006810.7219,
                Total = 1663098.7103,
                Year = 2001
            };
            SalesPersonCollection.Add(salesPerson);
            salesPerson = new SalesPersons()
            {
                Name = "Linda Ecoffey",
                QS3 = 547589.0181,
                QS4 = 951811.3768,
                Total = 1499400.3949,
                Year = 2001
            };
            SalesPersonCollection.Add(salesPerson);
            salesPerson = new SalesPersons()
            {
                Name = "Shelley Dyck",
                QS3 = 551800.5660,
                QS4 = 823059.5628,
                Total = 1374860.1288,
                Year = 2001
            };
            SalesPersonCollection.Add(salesPerson);
            salesPerson = new SalesPersons()
            {
                Name = "Michael Emanuel",
                QS3 = 515235.5282,
                QS4 = 733617.1174,
                Total = 1248852.6456,
                Year = 2001
            };
            SalesPersonCollection.Add(salesPerson);
            salesPerson = new SalesPersons()
            {
                Name = "Jauna Elson",
                QS3 = 453982.3228,
                QS4 = 614458.9850,
                Total = 1068441.3078,
                Year = 2001
            };
            SalesPersonCollection.Add(salesPerson);

            salesPerson = new SalesPersons()
            {
                Name = "Linda Ecoffey",
                QS1 = 781351.2313,
                QS2 = 1028144.2245,
                QS3 = 1531824.7788,
                QS4 = 1263787.6537,
                Total = 4605107.8883,
                Year = 2002
            };
            SalesPersonCollection.Add(salesPerson);
            salesPerson = new SalesPersons()
            {
                Name = "Shelley Dyck",
                QS1 = 710292.4523,
                QS2 = 714876.5727,
                QS3 = 1415932.4341,
                QS4 = 1142145.8485,
                Total = 3983247.3076,
                Year = 2002
            };
            SalesPersonCollection.Add(salesPerson);
            salesPerson = new SalesPersons()
            {
                Name = "Maciej Dusza",
                QS1 = 489810.4459,
                QS2 = 558046.5501,
                QS3 = 1516710.9716,
                QS4 = 1179535.1114,
                Total = 3744103.0790,
                Year = 2002
            };
            SalesPersonCollection.Add(salesPerson);
            salesPerson = new SalesPersons()
            {
                Name = "Gail Erickson",
                QS1 = 0,
                QS2 = 0,
                QS3 = 1739975.7306,
                QS4 = 1306538.9169,
                Total = 3046514.6475,
                Year = 2002
            };
            SalesPersonCollection.Add(salesPerson);
            salesPerson = new SalesPersons()
            {
                Name = "Carol Elliott",
                QS1 = 744774.7917,
                QS2 = 834823.5107,
                QS3 = 812349.5603,
                QS4 = 653131.5843,
                Total = 3045079.4470,
                Year = 2002
            };
            SalesPersonCollection.Add(salesPerson);

            salesPerson = new SalesPersons()
            {
                Name = "Gail Erickson",
                QS1 = 981735.7977,
                QS2 = 1258793.8673,
                QS3 = 1476692.0028,
                QS4 = 1356994.7597,
                Total = 5074216.4275,
                Year = 2003
            };
            SalesPersonCollection.Add(salesPerson);
            salesPerson = new SalesPersons()
            {
                Name = "Shelley Dyck",
                QS1 = 925501.3401,
                QS2 = 1163645.8204,
                QS3 = 1622531.0508,
                QS4 = 1284147.5293,
                Total = 4995825.740,
                Year = 2003
            };
            SalesPersonCollection.Add(salesPerson);
            salesPerson = new SalesPersons()
            {
                Name = "Maciej Dusza",
                QS1 = 820852.0529,
                QS2 = 1226808.7576,
                QS3 = 1497942.9170,
                QS4 = 1200475.2000,
                Total = 4746078.9275,
                Year = 2003
            };
            SalesPersonCollection.Add(salesPerson);
            salesPerson = new SalesPersons()
            {
                Name = "Linda Ecoffey",
                QS1 = 917504.6713,
                QS2 = 1278750.6036,
                QS3 = 1252426.1780,
                QS4 = 953423.5345,
                Total = 4402104.9874,
                Year = 2003
            };
            SalesPersonCollection.Add(salesPerson);
            salesPerson = new SalesPersons()
            {
                Name = "Jauna Elson",
                QS1 = 524679.7564,
                QS2 = 626051.3386,
                QS3 = 948047.6240,
                QS4 = 777144.9274,
                Total = 2875923.6464,
                Year = 2003
            };
            SalesPersonCollection.Add(salesPerson);

            salesPerson = new SalesPersons()
            {
                Name = "Shelley Dyck",
                QS1 = 1026805.5472,
                QS2 = 1266991.1038,
                Total = 2293796.6510,
                Year = 2004
            };
            SalesPersonCollection.Add(salesPerson);
            salesPerson = new SalesPersons()
            {
                Name = "Gail Erickson",
                QS1 = 934697.3750,
                QS2 = 1247298.2376,
                Total = 2181995.6126,
                Year = 2004
            };
            SalesPersonCollection.Add(salesPerson);
            salesPerson = new SalesPersons()
            {
                Name = "Maciej Dusza",
                QS1 = 875242.441,
                QS2 = 983384.4873,
                Total = 1858626.9289,
                Year = 2004
            };
            SalesPersonCollection.Add(salesPerson);
            salesPerson = new SalesPersons()
            {
                Name = "Mark Erickson",
                QS1 = 715362.2737,
                QS2 = 943155.7965,
                Total = 1658518.0702,
                Year = 2004
            };
            SalesPersonCollection.Add(salesPerson);
            salesPerson = new SalesPersons()
            {
                Name = "Linda Ecoffey",
                QS1 = 731927.6488,
                QS2 = 919386.2718,
                Total = 1651313.9206,
                Year = 2004
            };
            SalesPersonCollection.Add(salesPerson);

            return SalesPersonCollection;
        }
    }
    #endregion

    #region TOP Stores
    public class Stores
    {
        public string Name { get; set; }
        public double QS1 { get; set; }
        public double QS2 { get; set; }
        public double QS3 { get; set; }
        public double QS4 { get; set; }
        public double Total { get; set; }
        public int Year { get; set; }
        public static IList GetTopStores()
        {
            List<Stores> StoreCollection = new List<Stores>();
            Stores store = null;
            store = new Stores()
            {
                Name = "Bicycle Company",
                QS3 = 656287.9884,
                QS4 = 1006810.7219,
                Total = 1663098.7103,
                Year = 2001
            };
            StoreCollection.Add(store);
            store = new Stores()
            {
                Name = "Activity Center",
                QS3 = 656287.9884,
                QS4 = 1006810.7219,
                Total = 1663098.7103,
                Year = 2001
            };
            StoreCollection.Add(store);
            store = new Stores()
            {
                Name = "Bike Shop",
                QS3 = 656287.9884,
                QS4 = 1006810.7219,
                Total = 1663098.7103,
                Year = 2001
            };
            StoreCollection.Add(store);
            store = new Stores()
            {
                Name = "Bike Goods ",
                QS3 = 656287.9884,
                QS4 = 1006810.7219,
                Total = 1663098.7103,
                Year = 2001
            };
            StoreCollection.Add(store);
            store = new Stores()
            {
                Name = "Bike Rims",
                QS3 = 656287.9884,
                QS4 = 1006810.7219,
                Total = 1663098.7103,
                Year = 2001
            };
            StoreCollection.Add(store);

            store = new Stores()
            {
                Name = "Great Bicycle",
                QS1 = 781351.2313,
                QS2 = 1028144.2245,
                QS3 = 1531824.7788,
                QS4 = 1263787.6537,
                Total = 4605107.8883,
                Year = 2002
            };
            StoreCollection.Add(store);
            store = new Stores()
            {
                Name = "Bike Shop",
                QS1 = 781351.2313,
                QS2 = 1028144.2245,
                QS3 = 1531824.7788,
                QS4 = 1263787.6537,
                Total = 4605107.8883,
                Year = 2002
            };
            StoreCollection.Add(store);
            store = new Stores()
            {
                Name = "Active Systems",
                QS1 = 781351.2313,
                QS2 = 1028144.2245,
                QS3 = 1531824.7788,
                QS4 = 1263787.6537,
                Total = 4605107.8883,
                Year = 2002
            };
            StoreCollection.Add(store);
            store = new Stores()
            {
                Name = "Advanced Bike",
                QS1 = 781351.2313,
                QS2 = 1028144.2245,
                QS3 = 1531824.7788,
                QS4 = 1263787.6537,
                Total = 4605107.8883,
                Year = 2002
            };
            StoreCollection.Add(store);
            store = new Stores()
            {
                Name = "Seasons Sports",
                QS1 = 781351.2313,
                QS2 = 1028144.2245,
                QS3 = 1531824.7788,
                QS4 = 1263787.6537,
                Total = 4605107.8883,
                Year = 2002
            };
            StoreCollection.Add(store);

            store = new Stores()
            {
                Name = "Action Bicycle",
                QS1 = 981735.7977,
                QS2 = 1258793.8673,
                QS3 = 1476692.0028,
                QS4 = 1356994.7597,
                Total = 5074216.4275,
                Year = 2003
            };
            StoreCollection.Add(store);
            store = new Stores()
            {
                Name = "Area Sheet",
                QS1 = 981735.7977,
                QS2 = 1258793.8673,
                QS3 = 1476692.0028,
                QS4 = 1356994.7597,
                Total = 5074216.4275,
                Year = 2003
            };
            StoreCollection.Add(store);
            store = new Stores()
            {
                Name = "Authentic Sales",
                QS1 = 981735.7977,
                QS2 = 1258793.8673,
                QS3 = 1476692.0028,
                QS4 = 1356994.7597,
                Total = 5074216.4275,
                Year = 2003
            };
            StoreCollection.Add(store);
            store = new Stores()
            {
                Name = "Discount Stores",
                QS1 = 981735.7977,
                QS2 = 1258793.8673,
                QS3 = 1476692.0028,
                QS4 = 1356994.7597,
                Total = 5074216.4275,
                Year = 2003
            };
            StoreCollection.Add(store);
            store = new Stores()
            {
                Name = "Central Bicycle",
                QS1 = 981735.7977,
                QS2 = 1258793.8673,
                QS3 = 1476692.0028,
                QS4 = 1356994.7597,
                Total = 5074216.4275,
                Year = 2003
            };
            StoreCollection.Add(store);

            store = new Stores()
            {
                Name = "Aerobic Exercise",
                QS1 = 1026805.5472,
                QS2 = 1266991.1038,
                Total = 2293796.6510,
                Year = 2004
            };
            StoreCollection.Add(store);
            store = new Stores()
            {
                Name = "Alpine House",
                QS1 = 1026805.5472,
                QS2 = 1266991.1038,
                Total = 2293796.6510,
                Year = 2004
            };
            StoreCollection.Add(store);
            store = new Stores()
            {
                Name = "Sporting Goods",
                QS1 = 1026805.5472,
                QS2 = 1266991.1038,
                Total = 2293796.6510,
                Year = 2004
            };
            StoreCollection.Add(store);
            store = new Stores()
            {
                Name = "Basic Sports",
                QS1 = 1026805.5472,
                QS2 = 1266991.1038,
                Total = 2293796.6510,
                Year = 2004
            };
            StoreCollection.Add(store);
            store = new Stores()
            {
                Name = "Bold Bikes",
                QS1 = 1026805.5472,
                QS2 = 1266991.1038,
                Total = 2293796.6510,
                Year = 2004
            };
            StoreCollection.Add(store);

            return StoreCollection;
        }
    }
    #endregion
}